Subject: Re: [PATCH v2 08/11] brcmsmac: make some local variables 'static const' to reduce stack size

From: Kalle Valo <[email-masked]>
Date: Thu, 15 Jun 2017 17:56:27 +0300

Arnd Bergmann <[email-masked]> writes:

> With KASAN and a couple of other patches applied, this driver is one
> of the few remaining ones that actually use more than 2048 bytes of
> kernel stack:
>
> broadcom/brcm80211/brcmsmac/phy/phy_n.c: In function 'wlc_phy_workarounds_nphy_gainctrl':
> broadcom/brcm80211/brcmsmac/phy/phy_n.c:16065:1: warning: the frame size of 3264 bytes is larger than 2048 bytes [-Wframe-larger-than=]
> broadcom/brcm80211/brcmsmac/phy/phy_n.c: In function 'wlc_phy_workarounds_nphy':
> broadcom/brcm80211/brcmsmac/phy/phy_n.c:17138:1: warning: the frame size of 2864 bytes is larger than 2048 bytes [-Wframe-larger-than=]
>
> Here, I'm reducing the stack size by marking as many local variables as
> 'static const' as I can without changing the actual code.
>
> Acked-by: Arend van Spriel <[email-masked]>
> Signed-off-by: Arnd Bergmann <[email-masked]>

I found the cover letter from lkml and apparently the plan is that
Andrew will pick these three brcmsmac patches, so I'll drop them in
wireless patchwork.

-- 
Kalle Valo